Announcement RPG Maker MV - v1.6.1 Stable Release!

Discussion in 'RPG Maker MV Releases' started by Archeia, Jun 21, 2018.

  1. Andar

    Andar Veteran Veteran

    Messages:
    26,213
    Likes Received:
    5,652
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    which conversion instruction? and please list every file you have overwritten as part of the instructions, because that error ag
    ain tells us that you missed one file in the update.
     
  2. Emanzi

    Emanzi Veteran Veteran

    Messages:
    95
    Likes Received:
    31
    First Language:
    English
    Primarily Uses:
    RM2k3
    I overwrote index.html, package.json the libs folder, rpg.js excluding rpg_core

    Also when I installed RPG Maker MV on Windows recently it was supposedly already version 1.6.1
     
  3. Andar

    Andar Veteran Veteran

    Messages:
    26,213
    Likes Received:
    5,652
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    that is your mistake
    in american english, e.x. stands for "example" - the rpg_core file is the most important one that has to be updated for the update to work.
     
  4. Emanzi

    Emanzi Veteran Veteran

    Messages:
    95
    Likes Received:
    31
    First Language:
    English
    Primarily Uses:
    RM2k3
    Wow sorry for that, anyway I overwrote rpg_core but I’m getting the same problem from before, it runs the entire game from battle test.

    I’m not sure if I updated properly, I thought the database was filled out with more database entries.
     
  5. Andar

    Andar Veteran Veteran

    Messages:
    26,213
    Likes Received:
    5,652
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    then you're still missing a part of the update for whatever reason.
    If it works with a new project but not with your existing one, then something is not correctly updated in the existing one.
    And we can only guess what you might have missed when updating.

    One question: is the project inside a cloud-folder like Onedrive or dropbox? If yes, that can prevent updates or even destroy your project...
     
  6. Emanzi

    Emanzi Veteran Veteran

    Messages:
    95
    Likes Received:
    31
    First Language:
    English
    Primarily Uses:
    RM2k3
    Edit; It works now.

    This is what I did.

    I used the rpg_core.js as well as all the other stuff (index,package,rpg,libs) from the new game created in version 1.6.1 and it worked.
     
    Last edited: Jul 12, 2018
  7. OmnislashXX

    OmnislashXX Veteran Veteran

    Messages:
    321
    Likes Received:
    1,737
    Location:
    Maryland
    First Language:
    English
    Primarily Uses:
    RMMV
    dayum. That was an extremely long posting of technical psycho-babble. Hopefully someone can figure it out. By the way, my phone worked just fine.
     
  8. ddblue

    ddblue 新人 Veteran

    Messages:
    109
    Likes Received:
    11
    Location:
    Japan
    First Language:
    English
    Steam says this was rolled back due to issues on Macs. Were the issues resolved?
     
  9. JamesRyan

    JamesRyan Game Designer Veteran

    Messages:
    537
    Likes Received:
    157
    Location:
    Vietnam
    First Language:
    Vietnamese
    Primarily Uses:
    RMMV
    Only rollback on MacOS. For windows user, nothing changed. Better stick with 1.5.2 if you are using MacOS.
     
  10. ddblue

    ddblue 新人 Veteran

    Messages:
    109
    Likes Received:
    11
    Location:
    Japan
    First Language:
    English
    I was bouncing back and forth between my Mac and my PC for this project, but haven't updated since I heard there were issues. Have there been any hints as to when they might be resolved, and any idea if this harms Mac deployment of the games we make, or does it just affect the RPG Maker tool itself?
     
  11. JamesRyan

    JamesRyan Game Designer Veteran

    Messages:
    537
    Likes Received:
    157
    Location:
    Vietnam
    First Language:
    Vietnamese
    Primarily Uses:
    RMMV
    But better not to risk, or it may harm your project. If you use both MacOS and windows, just stick with the most stable version for both OS (1.5.2) and wait for official announcements from the dev.
     
  12. OmnislashXX

    OmnislashXX Veteran Veteran

    Messages:
    321
    Likes Received:
    1,737
    Location:
    Maryland
    First Language:
    English
    Primarily Uses:
    RMMV
    Alright. So this is 1.6.0 Somewhat Stable release for PCs, Unstable for Macs.
     
  13. MakerZeroOne

    MakerZeroOne Chronic Case of Undeserved Misfortune Veteran

    Messages:
    75
    Likes Received:
    99
    Location:
    United States
    First Language:
    American Eng.
    Primarily Uses:
    RMMV
    hmmn. This is awesome news. especially new parallax resources! Other than that, I don't know if this is the correct place to ask this, but are there or should there be any foreseeable plugin incompatibilities, specifically with yanfly's massive list of plugins?
     
  14. AceOfAces_Mod

    AceOfAces_Mod Engineering to infinity! Veteran

    Messages:
    1,638
    Likes Received:
    1,061
    First Language:
    Greek
    Primarily Uses:
    RMVXA
    From what I've seen, most of Yanfly's plugins work. If you find that there's a compatibility issue with 1.6.1, inform Yanfly (or any plugin developer whose plugin has a compatibility issue).
     
    MakerZeroOne likes this.
  15. JamesRyan

    JamesRyan Game Designer Veteran

    Messages:
    537
    Likes Received:
    157
    Location:
    Vietnam
    First Language:
    Vietnamese
    Primarily Uses:
    RMMV
    Does anyone here use MSI Afterburner? I have been using it to display my CPU, GPU and RAM information during my play, and it worked well before i updated to 1.6.1. Now it does not display any information inside the game during my playtest, or even after i deploy my game.
     
  16. Emanzi

    Emanzi Veteran Veteran

    Messages:
    95
    Likes Received:
    31
    First Language:
    English
    Primarily Uses:
    RM2k3
    How do you turn a 1.6.1 project into a 1.5.2 project? or is there no going back?
     
  17. Andar

    Andar Veteran Veteran

    Messages:
    26,213
    Likes Received:
    5,652
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    You go back to the editor 1.5.2, make a new project then and then use that to "update" a backup of your project to 1.5.2
    However there can be complications if one of your plugins already requires 1.6.x, because then you would have to find an old Version of that plugin and manually install that.
     
  18. Emanzi

    Emanzi Veteran Veteran

    Messages:
    95
    Likes Received:
    31
    First Language:
    English
    Primarily Uses:
    RM2k3
    OK thanks. I think I'll stick with 1.5.2 since I really want my game to run on mac.
     
  19. elpeleq42

    elpeleq42 Veteran Veteran

    Messages:
    355
    Likes Received:
    147
    Location:
    Brazil
    First Language:
    Portuguese(BR)
    Primarily Uses:
    RMMV
    MV is removing the window frame every time I play my game via the editor(it changes the package.json file back to "frame":false every time I try to set it to true and shows the message "package.json updated blabla")

    also I can't close the game from anywhere but the task manager
     
  20. Burgerland

    Burgerland Veteran Veteran

    Messages:
    167
    Likes Received:
    23
    First Language:
    English
    Primarily Uses:
    N/A
    Thank you for the update :) Who's the artist that draws the sprites and backgrounds?
     

Share This Page